package com.platform.yijia.controller;

import com.platform.yijia.service.CustomerGradeServices;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 客户优惠和营销
 */
@Controller
@RequestMapping("/api")
public class CustomerGradeController {

    @Resource
    private CustomerGradeServices customerGradeServices;

    //查询直降客户等级条件和优惠
    @RequestMapping("/getCustomerGradeList")
    @ResponseBody
    public List<Map> getCustomerGradeList(){
        return customerGradeServices.getCustomerGradeList();
    }

    // 营销：立减方案
    @RequestMapping("/getmarkertPlanList")
    @ResponseBody
    public List<Map> getmarkertPlanList(){
        return customerGradeServices.getMarkertPlanListByDiscountPlanType();
    }




}
